#!/usr/bin/env python3
# -*- coding: utf-8 -*-
# Copyright (c) 2000-2019 Synology Inc. All rights reserved.

from os import environ
from importlib import util

spec = util.spec_from_file_location('common', '/var/packages/Contacts/target/scripts/sdk_plugin/contacts_common.py')
common = util.module_from_spec(spec)
spec.loader.exec_module(common)

class DirSvsJoin(common.Hook):
    def post(self):
        common.restart_daemon()
        common.sync_dsm_domain()


common.Main(DirSvsJoin())
